Subject: [Unbearable] Token binding in GFE is pending review

From: Bill Cox <[email-masked]>
Date: Sat, 3 Sep 2016 07:50:27 -0700

All the CLs I can think of needing to be written have been submitted or are
in review.  I did the C translation and port to OpenSSL as well, to prepare
for the open-source launch with simultaneous NGINX support.  There will be
a -10 version probably this week, which should take only a few hours of
work.  The TLS side is ready to ramp up globally, since it is working well
in 2 clusters.  The QUIC side seems fine GFE-side, but we see about 1 in 4
requests from QUIC do not have a TB header in live traffic, though I have
not been able to reproduce this with my copy of Chrome.  There's also a
1-line bug in OpenSSL I need to get fixed in OpenSSL master.  In the
meantime, the open-source version can ship with the 1-line patch.

I currently do not have any TB-related CLs to work on.  The GFE side is as
close to "done" as I can currently make it.

Bill